#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20231130.sql ./mysql/db
cp ../sql/ry_config_20231204.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../bonus-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy bonus-gateway "
cp ../bonus-gateway/target/bonus-gateway.jar ./bonus/gateway/jar

echo "begin copy bonus-auth "
cp ../bonus-auth/target/bonus-auth.jar ./bonus/auth/jar

echo "begin copy bonus-visual "
cp ../bonus-visual/bonus-monitor/target/bonus-visual-monitor.jar  ./bonus/visual/monitor/jar

echo "begin copy bonus-modules-system "
cp ../bonus-modules/bonus-system/target/bonus-modules-system.jar ./bonus/modules/system/jar

echo "begin copy bonus-modules-file "
cp ../bonus-modules/bonus-file/target/bonus-modules-file.jar ./bonus/modules/file/jar

echo "begin copy bonus-modules-job "
cp ../bonus-modules/bonus-job/target/bonus-modules-job.jar ./bonus/modules/job/jar

echo "begin copy bonus-modules-gen "
cp ../bonus-modules/bonus-gen/target/bonus-modules-gen.jar ./bonus/modules/gen/jar

